=== added file 'standard_test_template.html'
--- standard_test_template.html	1970-01-01 00:00:00 +0000
+++ standard_test_template.html	2011-09-09 11:38:41 +0000
@@ -0,0 +1,44 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html>
+  <head>
+  <title>Standard JS test template</title>
+
+  <!-- YUI and test setup -->
+  <script type="text/javascript"
+          src="../../../../canonical/launchpad/icing/yui/yui/yui.js">
+  </script>
+  <link rel="stylesheet" href="../../../app/javascript/testing/test.css" />
+  <script type="text/javascript"
+          src="../../../app/javascript/testing/testrunner.js"></script>
+
+  <!-- Dependency -->
+  <script type="text/javascript"
+    src="../../../../canonical/launchpad/icing/yui/attribute/attribute.js">
+  </script>
+  <script type="text/javascript"
+    src="../../../../canonical/launchpad/icing/yui/event-custom/event-custom.js">
+  </script>
+  <script type="text/javascript"
+    src="../../../../canonical/launchpad/icing/yui/oop/oop.js">
+  </script>
+  <script type="text/javascript"
+    src="../../../app/javascript/client.js"></script>
+  <!-- ADD ANY DEPENDENCIES HERE -->
+
+  <!-- The module under test -->
+  <script type="text/javascript" src="../$MODULE_UNDER_TEST.js"></script>
+
+  <!-- The test suite -->
+  <script type="text/javascript" src="$YOUR_TEST_SUITE.JS"></script>
+
+  <!-- Test layout -->
+  <link rel="stylesheet"
+    href="../../../../canonical/launchpad/javascript/test.css" />
+  <style type="text/css">
+    /* CSS classes specific to this test */
+    .unseen { display: none; }
+  </style>
+</head>
+<body class="yui3-skin-sam">
+</body>
+</html>

=== added file 'standard_test_template.js'
--- standard_test_template.js	1970-01-01 00:00:00 +0000
+++ standard_test_template.js	2011-09-09 11:38:41 +0000
@@ -0,0 +1,65 @@
+/* Copyright (c) 2011, Canonical Ltd. All rights reserved. */
+
+YUI({
+    base: '../../../../canonical/launchpad/icing/yui/',
+    filter: 'raw',
+    combine: false,
+    fetchCSS: false
+
+// Don't forget to add the module under test to the use() clause.
+
+      }).use('event', 'lp.client', 'node', 'test', 'widget-stack',
+             'console', function(Y) {
+
+// Local aliases
+var Assert = Y.Assert,
+    ArrayAssert = Y.ArrayAssert;
+
+var suite = new Y.Test.Suite("YOUR TEST SUITE NAME");
+
+suite.add(new Y.Test.Case({
+
+    name: 'A TEST CASE NAME',
+
+    setUp: function() {
+        // Monkeypatch LP to avoid network traffic and to make
+        // some things work as expected.
+        Y.lp.client.Launchpad.prototype.named_post =
+          function(url, func, config) {
+            config.on.success();
+          };
+        LP = {
+          'cache': {
+            'bug': {
+              self_link: "http://bugs.example.com/bugs/1234"
+          }}};
+    },
+
+    tearDown: function() {
+    },
+
+    /**
+     * The choice edit should be displayed inline.
+     */
+    test_something: function() {
+        // Test something
+    },
+
+}));
+
+var handle_complete = function(data) {
+    window.status = '::::' + JSON.stringify(data);
+    };
+Y.Test.Runner.on('complete', handle_complete);
+Y.Test.Runner.add(suite);
+
+var yconsole = new Y.Console({
+    newestOnTop: false
+});
+yconsole.render('#log');
+
+Y.on('domready', function() {
+    Y.Test.Runner.run();
+});
+
+});

